<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package SKT Pathway
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php $slidehide = get_theme_mod('hide_slides', '1'); ?>
<div class="wrapper_main">
<header class="header">
  <div class="header-align">
    <div id="logo">
      <?php skt_pathway_the_custom_logo(); ?>
      <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
      	<h1><?php bloginfo('name'); ?></h1>
      </a>
      <p><?php bloginfo('description'); ?></p>
    </div>
    <div class="header_right">
      <div class="search_form">
        <?php get_search_form(); ?>
      </div>
      <div class="clear"></div>
      <div class="mobile_nav"><a href="<?php esc_url('#');?>"><?php esc_attr_e('Go To...','skt-pathway');?></a></div>
      <nav id="nav">
        <?php wp_nav_menu( array('theme_location'  => 'primary', 'container' => '', 'container_class' => '', 'items_wrap' => '<ul>%3$s</ul>' ) ); ?>
      </nav>
    </div>
    <div class="clear"></div>
  </div>
</header>
<?php if (is_front_page() && !is_home()) { ?>
<!-- Slider Section -->
<?php for($slide=1; $slide<4; $slide++) { ?>
<?php if( get_theme_mod('page-setting'.$slide)) { ?>
<?php $slidequery = new WP_query('page_id='.get_theme_mod('page-setting'.$slide,true)); ?>
<?php while( $slidequery->have_posts() ) : $slidequery->the_post();
        $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
        $img_arr[] = $image;
        $id_arr[] = $post->ID;
        endwhile;
  	  }
    }
?>
<?php if($slidehide == ''){ ?>
<?php if(!empty($id_arr)){ ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
      <?php 
	$icount=1;
	foreach($img_arr as $url){ ?>
      <img src="<?php echo esc_url($url);?>" title="#slidecaption<?php echo $icount; ?>" />
      <?php $icount++; }  ?>
    </div>
    <?php 
        $icount=1;
        foreach($id_arr as $id){ 
        $title = get_the_title( $id ); 
        $post = get_post($id); 
        ?>
    <div id="slidecaption<?php echo $icount; ?>" class="nivo-html-caption">
      <div class="slide_info">
        <h2><?php echo $title; ?></h2>
        <p><?php the_excerpt(); ?></p>
        <p class="slide_more"><a href="<?php the_permalink(); ?>"><?php esc_attr_e('Read More','skt-pathway');?></a></p>
      </div>
    </div>
    <?php $icount++; } ?>
  </div>
  <div class="clear"></div>
</section>
<?php } } } ?>        